> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withverifa.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withverifa.com/_mcp/server.

# Get workflow analytics

GET https://api.withverifa.com/api/v1/workflows/{workflow_id}/analytics

Returns per-step pass/fail rates and overall workflow performance
metrics over a configurable time range.


Reference: https://docs.withverifa.com/api-reference/workflows/get-workflow-analytics

## Authentication

- `X-API-Key` header (required) — Organization API key. Keys are prefixed with `vk_live_` (production) or `vk_sandbox_` (sandbox).

## Request

### Path parameters

- `workflow_id` (string, required)

### Query parameters

- `days` (integer, optional, default: 30)

### Headers

- `Verifa-Version` (date, optional) — API version date string (e.g. `2026-02-01`). If omitted, the version pinned to your API key is used.

## Response

### 200

Workflow analytics.

- `steps` (list of ApiV1WorkflowsWorkflowIdAnalyticsGetResponsesContentApplicationJsonSchemaStepsItems, required)
- `summary` (ApiV1WorkflowsWorkflowIdAnalyticsGetResponsesContentApplicationJsonSchemaSummary, required)
- `days` (integer, required)

## Errors

### 401 Unauthorized Error

Missing or invalid API key.

- `error` (string, required) — Short error code.
- `status_code` (integer, required) — HTTP status code.
- `detail` (string, optional) — Human-readable error description.

### 404 Not Found Error

Resource not found.

- `error` (string, required) — Short error code.
- `status_code` (integer, required) — HTTP status code.
- `detail` (string, optional) — Human-readable error description.

## Types

### ApiV1WorkflowsWorkflowIdAnalyticsGetResponsesContentApplicationJsonSchemaStepsItems

- `step_index` (integer, optional)
- `policy` (string, optional)
- `total` (integer, optional)
- `passed` (integer, optional)
- `failed` (integer, optional)
- `error` (integer, optional)
- `skipped` (integer, optional)
- `avg_duration_ms` (integer, optional)
- `pass_rate` (double, optional, nullable)

### ApiV1WorkflowsWorkflowIdAnalyticsGetResponsesContentApplicationJsonSchemaSummary

- `total_runs` (integer, optional)
- `approved` (integer, optional)
- `rejected` (integer, optional)
- `needs_review` (integer, optional)
- `avg_duration_ms` (integer, optional)
- `approval_rate` (double, optional, nullable)

## Examples

**Response**

```json
{
  "steps": [
    {
      "step_index": 1,
      "policy": "string",
      "total": 1,
      "passed": 1,
      "failed": 1,
      "error": 1,
      "skipped": 1,
      "avg_duration_ms": 1,
      "pass_rate": 1.1
    }
  ],
  "summary": {
    "total_runs": 1,
    "approved": 1,
    "rejected": 1,
    "needs_review": 1,
    "avg_duration_ms": 1,
    "approval_rate": 1.1
  },
  "days": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.withverifa.com/api/v1/workflows/workflow_id/analytics"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.withverifa.com/api/v1/workflows/workflow_id/analytics';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withverifa.com/api/v1/workflows/workflow_id/analytics"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withverifa.com/api/v1/workflows/workflow_id/analytics")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withverifa.com/api/v1/workflows/workflow_id/analytics")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withverifa.com/api/v1/workflows/workflow_id/analytics', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.withverifa.com/api/v1/workflows/workflow_id/analytics");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withverifa.com/api/v1/workflows/workflow_id/analytics")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```